Subject: Re: [PATCH 0/3] ALSA fixes for non-coherent ppc32

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 09 Jul 2008 18:55:35 +1000

On Wed, 2008-07-09 at 10:31 +0200, Gerhard Pircher wrote:
> > 
> > The patches are found also on my git tree, dma-fix branch of
> >
> git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound-2.6.git
> > 
> > Any comments and test reports are appreciated, especially about
> > dma_mmap_coherent() addition.
> I know this answer comes a little bit late, but my PPC machine was not
> working for two weeks due to a hardware failure. I tested the patch on
> 2.6.26-rc9 and it seems to work fine so far with my emu10k soundcard.
> I just had to add "#include <linux/dma-mapping.h>" to pcm_native.c.
> Otherwise it wouldn't compile.

Can I get the latest powerpc-side patches so I can review-ack them in
time for the merge window ?

Cheers,
Ben.